Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create changelog

POST/workspaces/{organizationId}/changelog
Path parameters
organizationIdstringrequired
Request body
application/json
titlestringrequired
min length 1 · max length 300
bodystringrequired
min length 1 · max length 20000
labelsstring[]
max items 10
linksobject[]
max items 100
Show properties
Array of object
ticketIdstring
issueIdstring
publishboolean
Responses
201

Changelog entry created

entryobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
titlestringrequired
bodystringrequired
labelsstringrequired
publishedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
linksobject[]required
Show properties
Array of object
idstringrequired
entryIdstringrequired
ticketIdstring | nullrequired
issueIdstring | nullrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/changelog' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "body": "string",
  "labels": [
    "string"
  ],
  "links": [
    {
      "ticketId": "string",
      "issueId": "string"
    }
  ],
  "publish": true
}'
Response
{
  "entry": {
    "id": "string",
    "organizationId": "string",
    "title": "string",
    "body": "string",
    "labels": "string",
    "publishedAt": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "links": [
      {
        "id": "string",
        "entryId": "string",
        "ticketId": "string",
        "issueId": "string"
      }
    ]
  }
}